Error: The conversion to version 7.92 has failed (Update ID: 1480). Please report the following error: Code revision error in 'UploadSQLCLR' - General ODBC Error: [Microsoft][ODBC SQL Server Driver][SQL Server]Only members of the sysadmin role or the

After updating to The Raiser's Edge version 7.92, the following error displays during the database conversion process:
 
Error: The conversion to version 7.92 has failed (Update ID:  1480).  
Please report the following error:    Code revision error in 'UploadSQLCLR' - General ODBC Error: [Microsoft][ODBC SQL Server Driver][SQL Server]Only members of the sysadmin role or the database owner may set the database compatibility level.   Native error:15418
 
Routine:  UploadSQLCLR 
This error occurs if the REUSER SQL account does not have the default SQL Server permission of db_owner role for the database that is being converted by The Raiser's Edge. 

To set the default SQL Server permissions for the REUSER account, complete the following steps:
  1. Detach ALL Raiser's Edge databases in the Blackbaud Management Console
  2. Re-attach ALL Raiser's Edge databases using the Blackbaud Management Console that were detached in Step 1
  3. Log into The Raiser's Edge and upgrade the database

If the issue persists after completing the above steps, then Contact Support and reference this article. 


 

Environment

 7.92.5508

Was this article helpful?